Liblinphone: linphone::InfoMessage Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::InfoMessage Class Reference

Object representing an informational message sent or received by the core. More...

`#include <info_message.hh>`

Inheritance diagram for linphone::InfoMessage:

## Public Member Functions
LINPHONECXX_PUBLIC | InfoMessage (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneInfoMessage * | cPtr ()
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Content > | getContent () const
| Returns the info message's content as a Content structure.
LINPHONECXX_PUBLIC void | setContent (const std::shared_ptr< const linphone::Content > &content)
| Assign a content to the info message.
LINPHONECXX_PUBLIC void | addHeader (const std::string &name, const std::string &value)
| Add a header to an info message to be sent.
LINPHONECXX_PUBLIC std::string | getHeader (const std::string &name) const
| Obtain a header value from a received info message.

## Detailed Description

Object representing an informational message sent or received by the core.

## Member Function Documentation

## ◆ addHeader()

LINPHONECXX_PUBLIC void linphone::InfoMessage::addHeader | ( | const std::string & | name,
|  | const std::string & | value )

Add a header to an info message to be sent.

Parameters

  name | the header'name
  value | the header's value

## ◆ getContent()

LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Content > linphone::InfoMessage::getContent | ( |  | ) | const

Returns the info message's content as a Content structure.

Returns
  the Content object.

## ◆ getHeader()

LINPHONECXX_PUBLIC std::string linphone::InfoMessage::getHeader | ( | const std::string & | name | ) | const

Obtain a header value from a received info message.

Parameters

  name | the header'name

Returns
  the corresponding header's value, or nullptr if not exists.

## ◆ setContent()

LINPHONECXX_PUBLIC void linphone::InfoMessage::setContent | ( | const std::shared_ptr< const linphone::Content > & | content | ) |

Assign a content to the info message.

All fields of the Content are copied, thus the application can destroy/modify/recycloe the content object freely ater the function returns.

Parameters

  content | the content described as a Content structure.

The documentation for this class was generated from the following file:

- info_message.hh